Subject: bug#18451: 24.4.50; 'toggle-frame-fullscreen' can cut off minibuffer

From: Matthew Leach <[email-masked]>
Date: Tue, 16 Sep 2014 20:16:47 +0100

Hello

Jan Djärv <[email-masked]> writes:

[...]

> The question is where does change_frame_size get called from from if
> they are not from xg_frame_resized?

Hm, sorry I think there was a problem in my original trace, I've given
it another shot.

Here is a bug-free trace:

Received ConfigureNotify event for frame: 0x6781b0
Received ConfigureNotify event for frame: 0x6781b0
Received ConfigureNotify event for frame: (nil)
xg_frame_resized(0x6781b0, 1366, 768);
configure_frame_size(0x6781b0, 1350, 768, 330584, 1, 0, 1);
configure_frame_size(0x6781b0, 1350, 768, 330584, 0, 0, 1);
Received ConfigureNotify event for frame: 0x6781b0

And a buggy-trace:

Received ConfigureNotify event for frame: 0x6781b0
Received ConfigureNotify event for frame: (nil)
xg_frame_resized(0x6781b0, 1366, 768);
configure_frame_size(0x6781b0, 1350, 768, 330584, 1, 0, 1);
configure_frame_size(0x6781b0, 1350, 768, 330584, 0, 0, 1);
Received ConfigureNotify event for frame: 0x6781b0
Received ConfigureNotify event for frame: 0x6781b0

>
>
> As a long shot, try removing this line:
>
> do_pending_window_change (0);
>
> in xg_frame_resized.

I'm afraid that didn't help.
-- 
Matt